# DataExchange
TKIGES
IGESSelect

# IGESSelect_AddGroup Class Reference

Adds a Group to contain the entities designated by the
Selection. If no Selection is given, nothing is done
.

`#include <IGESSelect_AddGroup.hxx>`

Inheritance diagram for IGESSelect_AddGroup:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSelect_AddGroup ()
| Creates an AddGroup .
Standard_EXPORT void | Performing (IFSelect_ContextModif &ctx, const Handle(IGESData_IGESModel)&target, Interface_CopyTool &TC) const
| Specific action : Adds a new group .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text which is "Add Group" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_AddGroup::IGESSelect_AddGroup | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_AddGroup::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESSelect_ModelModifier.

Standard_EXPORT TCollection_AsciiString IGESSelect_AddGroup::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_GeneralModifier.

Standard_EXPORT void IGESSelect_AddGroup::Performing | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(IGESData_IGESModel)& | target,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements IGESSelect_ModelModifier.

The documentation for this class was generated from the following file:

- IGESSelect_AddGroup.hxx